<form method ='post' enctype ="multipart/form-data" 
    {% if edit %}
        action="{% url 'profile:admin_agenda_edit' slug=slug %}"
    {% else %}
        action="{% url 'profile:admin_agenda_create' %}"
    {% endif %}>

   
    {% csrf_token %}
    
    {% if edit %}
        <input type="hidden" name="{{ form.slug.name }}" id="{{ form.slug.id_for_label }}" value="{{ form.slug.value|stringformat:'s' }}">
    {% endif %}
    
    <div class="form-group">
        <label for="{{ form.name.id_for_label }}">Nama Agenda</label>
        <input type="text" placeholder="Masukkan name agenda..."
            class="form-control {% if form.name.errors %}is-invalid{% endif %}"
            name="{{ form.name.name }}"
            id="{{ form.name.id_for_label }}" 
            maxlength="{{ form.name.field.max_length }}"
            {% if form.name.value != None %}value="{{ form.name.value|stringformat:'s' }}"{% endif %}
            {% if form.name.field.required %}required{% endif %} >
        {% if form.name.errors %}
            <div class="invalid-feedback">
                {{ form.name.errors }}
            </div>
        {% endif %}
    </div>

    <div class="form-group">
        <label for="{{ form.description.id_for_label }}">Keterangan</label>
        <textarea 
            class="form-control {% if form.description.errors %}is-invalid{% endif %}" 
            id="{{ form.description.id_for_label }}" 
            name="{{ form.description.name }}"
            maxlength="{{ form.description.field.max_length }}"
            {% if form.description.field.required %}required{% endif %}
            rows="5">{% if form.description.value != None %}{{ form.description.value|stringformat:'s' }}{% endif %}</textarea>
        {% if form.description.errors %}
            <div class="invalid-feedback">
                {{ form.description.errors }}
            </div>
        {% endif %}
    </div>

    <div class="form-row">
        <div class="form-group col">
            <label for="{{ form.start_date.id_for_label }}">Tanggal Dimulai</label>
            <input type="date" placeholder="Masukkan waktu dimulai agenda..."
                class="form-control {% if form.start_date.errors %}is-invalid{% endif %}"
                name="{{ form.start_date.name }}"
                id="{{ form.start_date.id_for_label }}" 
                maxlength="{{ form.start_date.field.max_length }}"
                {% if form.start_date.value != None %}value="{{ form.start_date.value|stringformat:'s' }}"{% endif %}
                {% if form.start_date.field.required %}required{% endif %} >
            {% if form.start_date.errors %}
                <div class="invalid-feedback">
                    {{ form.start_date.errors }}
                </div>
            {% endif %}
        </div>

        <div class="form-group col">
            <label for="{{ form.finish_date.id_for_label }}">Tanggal Selesai</label>
            <input type="date" placeholder="Masukkan tanggal selesai agenda..."
                class="form-control {% if form.finish_date.errors %}is-invalid{% endif %}"
                name="{{ form.finish_date.name }}"
                id="{{ form.finish_date.id_for_label }}" 
                maxlength="{{ form.finish_date.field.max_length }}"
                {% if form.finish_date.value != None %}value="{{ form.finish_date.value|stringformat:'s' }}"{% endif %}
                {% if form.finish_date.field.required %}required{% endif %} >
            {% if form.finish_date.errors %}
                <div class="invalid-feedback">
                    {{ form.finish_date.errors }}
                </div>
            {% endif %}
        </div>
    </div>

    <div class="form-row mb-1">
        <div class="form-group col">
            <label for="{{ form.start_time.id_for_label }}">Waktu Dimulai</label>
            <input type="time" placeholder="Masukkan waktu dimulai agenda..."
                class="form-control {% if form.start_time.errors %}is-invalid{% endif %}"
                name="{{ form.start_time.name }}"
                id="{{ form.start_time.id_for_label }}" 
                maxlength="{{ form.start_time.field.max_length }}"
                {% if form.start_time.value != None %}value="{{ form.start_time.value|stringformat:'s' }}"{% endif %}
                {% if form.start_time.field.required %}required{% endif %}>
            <small>Opsional (bisa dikosongi)</small>
            {% if form.start_time.errors %}
                <div class="invalid-feedback">
                    {{ form.start_time.errors }}
                </div>
            {% endif %}
        </div>

        <div class="form-group col">
            <label for="{{ form.finish_time.id_for_label }}">Waktu Selesai</label>
            <input type="time" placeholder="Masukkan waktu selesai agenda..."
                class="form-control {% if form.finish_time.errors %}is-invalid{% endif %}"
                name="{{ form.finish_time.name }}"
                id="{{ form.finish_time.id_for_label }}" 
                maxlength="{{ form.finish_time.field.max_length }}"
                {% if form.finish_time.value != None %}value="{{ form.finish_time.value|stringformat:'s' }}"{% endif %}
                {% if form.finish_time.field.required %}required{% endif %} >
            <small>Opsional (bisa dikosongi)</small>
            {% if form.finish_time.errors %}
                <div class="invalid-feedback">
                    {{ form.finish_time.errors }}
                </div>
            {% endif %}
        </div>
    </div>

    <div>
        <div class="form-check-inline">
            <label for="">Apakah agenda rutin setiap tahun: </label>
        </div>
        <div class="form-check-inline">
            <label class="form-check-label">
                <input type="radio" name="{{ form.every_year.name }}" class="form-check-input" value="true" 
                {% if form.every_year.value == 'true' and edit %}checked{% endif %} required>
                Ya
            </label>
        </div>
        <div class="form-check-inline">
            <label class="form-check-label">
                <input type="radio" name="{{ form.every_year.name }}" class="form-check-input" value="false" 
                {% if form.every_year.value != 'true' and edit %}checked{% endif %} required>
                Tidak
            </label>
        </div>
    </div>
    {% if form.every_year.errors %}
        <div class="invalid-feedback">
            {{ form.every_year.errors }}
        </div>
    {% endif %}

    <div class="form-group">
        <label for="{{ form.color.id_for_label }}">Warna Badge</label>
        <select 
            class="form-control" 
            name="{{ form.color.name }}"
            {% if form.title.field.required %}required{% endif %}>
                {% for choice in form.color.field.choices %}
                    <option class="text-white" value="{{ choice.0 }}"{% if form.color.value == choice.0 %} selected{% endif %} style="background-color: {{ choice.0 }};">
                        {{ choice.1 }}
                    </option>
                {% endfor %}
        </select>
    </div>
    

    <button type="submit" class="btn btn-success"><i class="bi bi-save"></i> Simpan</button>
</form>